Page MenuHomePhabricator

[OpenCL] Fix access qualifiers metadata for kernel arguments with typedef
ClosedPublic

Authored by AlexeySotkin on Jul 14 2017, 8:59 AM.

Event Timeline

AlexeySotkin created this revision.Jul 14 2017, 8:59 AM
bader accepted this revision.Jul 14 2017, 11:41 AM

LGTM. Thanks.

This revision is now accepted and ready to land.Jul 14 2017, 11:41 AM
Anastasia accepted this revision.Jul 17 2017, 6:45 AM

LGTM! Thanks! Variable name could be fixed before committing.

lib/CodeGen/CodeGenFunction.cpp
624

Even though... not consistent here... variable names should start with upper case.

Changing case in the variable name

Anastasia accepted this revision.Jul 19 2017, 8:42 AM

Rebasing on tip of trank

This revision was automatically updated to reflect the committed changes.